org.eclipse.net4j.util.om.trace

## Interface OMTracer

- All Known Implementing Classes:
    Tracer

      public interface OMTracer

  A `named` `tracer` within the `hierarchy` of tracers of a `bundle`.
  Author:
    Eike Stepper
  See Also:
    `OMBundle.tracer(String)`, `tracer(String)`, `ContextTracer`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OMTraceHandlerEvent` | `format(Class<?> context, String pattern, Object... args)`
    `OMTraceHandlerEvent` | `format(Class<?> context, String pattern, Throwable t, Object... args)`
    `OMBundle` | `getBundle()`
    `String` | `getFullName()`
    `String` | `getName()`
    `OMTracer` | `getParent()`
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean enabled)`
    `OMTraceHandlerEvent` | `trace(Class<?> context, String msg)`
    `OMTraceHandlerEvent` | `trace(Class<?> context, String msg, Throwable t)`
    `OMTraceHandlerEvent` | `trace(Class<?> context, Throwable t)`
    `void` | `trace(OMTraceHandlerEvent traceRecord)`
    `OMTracer` | `tracer(String name)`

- - ### Method Detail

    - #### getBundle

          OMBundle getBundle()

    - #### getParent

          OMTracer getParent()

    - #### getName

          String getName()

    - #### getFullName

          String getFullName()

    - #### isEnabled

          boolean isEnabled()

    - #### setEnabled

          void setEnabled(boolean enabled)

    - #### trace

          void trace(OMTraceHandlerEvent traceRecord)

    - #### format

          OMTraceHandlerEvent format(Class<?> context,
                                     String pattern,
                                     Object... args)

    - #### format

          OMTraceHandlerEvent format(Class<?> context,
                                     String pattern,
                                     Throwable t,
                                     Object... args)

    - #### trace

          OMTraceHandlerEvent trace(Class<?> context,
                                    String msg,
                                    Throwable t)

    - #### trace

          OMTraceHandlerEvent trace(Class<?> context,
                                    String msg)

    - #### trace

          OMTraceHandlerEvent trace(Class<?> context,
                                    Throwable t)

    - #### tracer

          OMTracer tracer(String name)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html